Bug 140767 - Sapphire (ATI) Radeon 9800SE dual monitor set-up freezes Xorg
Sapphire (ATI) Radeon 9800SE dual monitor set-up freezes Xorg
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2004-11-24 14:27 EST by Morten Jensen
Modified: 2009-03-11 05:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:34:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log containing all information from Xorg startup when it froze (52.27 KB, text/plain)
2004-11-24 14:29 EST, Morten Jensen
no flags Details
Xorg configuration file used when Xorg froze during startup (3.48 KB, text/plain)
2004-11-24 14:30 EST, Morten Jensen
no flags Details

  None (edit)
Description Morten Jensen 2004-11-24 14:27:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Setting up dual monitor support in Xorg using Gnome Display tool
crashes Xorg/Radeon driver when Xorg tries to start-up with the new
configuration. The screen is black when Xorg start and a mouse cursor
appears and can be moved around for a little while (couple of seconds)
after which Xorg completely freezes. It's not even possible a this
stage to change to a text terminal (using e.g. CTRL+ALT+F1..F7).

I will include xorg.conf, which caused the issue, and Xorg.0.log from
when Xorg froze.



Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Set-up dual monitor support on system with Sapphire (ATI) Radeon 9800SE
2. Restart the system and let it boot up and wait for Xorg to be started


Actual Results:  Xorg freezes

Expected Results:  Dual monitor (desktop)

Additional info:

lspci lists the following two display controllers:

01:00.0 VGA compatible controller: ATI Technologies Inc R350 AH
[Radeon 9800]
01:00.1 Display controller: ATI Technologies Inc Radeon R350 [Radeon
9800] (Secondary)

The bottom of the Xorg log reports:

(II) Screen 0 shares mem & io resources
(II) Screen 1 shares mem & io resources
(EE) RADEON(0): Idle timed out, resetting engine...
(EE) RADEON(0): Idle timed out, resetting engine...
....
Comment 1 Morten Jensen 2004-11-24 14:29:14 EST
Created attachment 107416 [details]
Xorg log containing all information from Xorg startup when it froze
Comment 2 Morten Jensen 2004-11-24 14:30:29 EST
Created attachment 107417 [details]
Xorg configuration file used when Xorg froze during startup
Comment 3 Morten Jensen 2004-11-24 15:49:02 EST
Hi,

I've done some further investigation. If I remove rhgb from grub.conf
Xorg seems to survive.

However, I still can't get a dual monitor configuration to work; both
displays are the same regardless of what Xinerama is set to.
Comment 5 Mike A. Harris 2004-11-28 08:21:19 EST
Thanks for the bug report.  It seems that system-config-display
does not properly support configuration of multihead.  It does
not put the correct statements in the config file in all sections,
which is why you're unfortunately left with a non-working
configuration.  I have reassigned this issue to our config tool
component, so that it can be fixed in a future release, or the
multihead configuration removed (since it does not work).

It's odd that removing rhgb allows X to function.  That is a
separate bug however, but you can file a new bug against
xorg-x11 for that if you like.

Thanks again.
Comment 6 Mike A. Harris 2004-11-28 09:01:47 EST
Additional info:

It shows "Clone on" and "Xinerama off" in the config.
The former shouldn't even be there, and the latter should
be on.
Comment 8 Paul Nasrat 2004-11-29 09:29:29 EST
Original poster - which option did you select in s-c-display for
desktop layout - Spanning Desktops or Individual Desktops?
Comment 9 Adam Jackson 2006-03-03 10:38:08 EST
Mass update: move dual head bugs from FC5 to FC6, no way they can get fixed
before FC5 release at this point.
Comment 10 Matthew Miller 2006-07-10 19:22:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 11 John Thacker 2006-10-31 15:34:27 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.